package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * When mode is 0, Show configured device info.
 */
@ApiModel(description = "When mode is 0, Show configured device info.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DeviceOuiModeQueryOpenApiVo   {
  @JsonProperty("deviceMac")
  private String deviceMac;

  @JsonProperty("deviceName")
  private String deviceName;

  @JsonProperty("portList")
  @Valid
  private List<Integer> portList = null;

  @JsonProperty("lagList")
  @Valid
  private List<Integer> lagList = null;

  @JsonProperty("lagInfo")
  @Valid
  private List<LagInfoOpenApiVo> lagInfo = null;

  public DeviceOuiModeQueryOpenApiVo deviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
    return this;
  }

  /**
   * Device MAC. E.g. AA-BB-CC-DD-11-22 .
   * @return deviceMac
  */
  @ApiModelProperty(required = true, value = "Device MAC. E.g. AA-BB-CC-DD-11-22 .")
  @NotNull


  public String getDeviceMac() {
    return deviceMac;
  }

  public void setDeviceMac(String deviceMac) {
    this.deviceMac = deviceMac;
  }

  public DeviceOuiModeQueryOpenApiVo deviceName(String deviceName) {
    this.deviceName = deviceName;
    return this;
  }

  /**
   * Device Name
   * @return deviceName
  */
  @ApiModelProperty(value = "Device Name")


  public String getDeviceName() {
    return deviceName;
  }

  public void setDeviceName(String deviceName) {
    this.deviceName = deviceName;
  }

  public DeviceOuiModeQueryOpenApiVo portList(List<Integer> portList) {
    this.portList = portList;
    return this;
  }

  public DeviceOuiModeQueryOpenApiVo addPortListItem(Integer portListItem) {
    if (this.portList == null) {
      this.portList = new ArrayList<>();
    }
    this.portList.add(portListItem);
    return this;
  }

  /**
   * Configured Switch port.
   * @return portList
  */
  @ApiModelProperty(value = "Configured Switch port.")


  public List<Integer> getPortList() {
    return portList;
  }

  public void setPortList(List<Integer> portList) {
    this.portList = portList;
  }

  public DeviceOuiModeQueryOpenApiVo lagList(List<Integer> lagList) {
    this.lagList = lagList;
    return this;
  }

  public DeviceOuiModeQueryOpenApiVo addLagListItem(Integer lagListItem) {
    if (this.lagList == null) {
      this.lagList = new ArrayList<>();
    }
    this.lagList.add(lagListItem);
    return this;
  }

  /**
   * Configured Switch lag.
   * @return lagList
  */
  @ApiModelProperty(value = "Configured Switch lag.")


  public List<Integer> getLagList() {
    return lagList;
  }

  public void setLagList(List<Integer> lagList) {
    this.lagList = lagList;
  }

  public DeviceOuiModeQueryOpenApiVo lagInfo(List<LagInfoOpenApiVo> lagInfo) {
    this.lagInfo = lagInfo;
    return this;
  }

  public DeviceOuiModeQueryOpenApiVo addLagInfoItem(LagInfoOpenApiVo lagInfoItem) {
    if (this.lagInfo == null) {
      this.lagInfo = new ArrayList<>();
    }
    this.lagInfo.add(lagInfoItem);
    return this;
  }

  /**
   * Switch lag info.
   * @return lagInfo
  */
  @ApiModelProperty(value = "Switch lag info.")

  @Valid

  public List<LagInfoOpenApiVo> getLagInfo() {
    return lagInfo;
  }

  public void setLagInfo(List<LagInfoOpenApiVo> lagInfo) {
    this.lagInfo = lagInfo;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceOuiModeQueryOpenApiVo deviceOuiModeQueryOpenApiVo = (DeviceOuiModeQueryOpenApiVo) o;
    return Objects.equals(this.deviceMac, deviceOuiModeQueryOpenApiVo.deviceMac) &&
        Objects.equals(this.deviceName, deviceOuiModeQueryOpenApiVo.deviceName) &&
        Objects.equals(this.portList, deviceOuiModeQueryOpenApiVo.portList) &&
        Objects.equals(this.lagList, deviceOuiModeQueryOpenApiVo.lagList) &&
        Objects.equals(this.lagInfo, deviceOuiModeQueryOpenApiVo.lagInfo);
  }

  @Override
  public int hashCode() {
    return Objects.hash(deviceMac, deviceName, portList, lagList, lagInfo);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceOuiModeQueryOpenApiVo {\n");
    
    sb.append("    deviceMac: ").append(toIndentedString(deviceMac)).append("\n");
    sb.append("    deviceName: ").append(toIndentedString(deviceName)).append("\n");
    sb.append("    portList: ").append(toIndentedString(portList)).append("\n");
    sb.append("    lagList: ").append(toIndentedString(lagList)).append("\n");
    sb.append("    lagInfo: ").append(toIndentedString(lagInfo)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

